Holdings
Request and Response
get
Path parameters
entityIdinteger · int64RequiredExample:
Unique identifier provided by Landytech
123Query parameters
fromDatestring · dateOptionalExample:
Start of Date Range (Inclusive)
2025-05-01toDatestring · dateOptionalExample:
End of Date Range (Inclusive)
2025-05-13lookThroughstringOptionalDefault:
Enable/disable look through. For bookkeeping use-cases, this should be set to false.
falsepageNumberinteger · int32OptionalDefault:
The current page, the first page should be '0'
0pageSizeinteger · int32 · max: 100OptionalDefault:
Number of records per page
100Responses
200
OK
application/json
totalPagesinteger · int64RequiredExample:
Number of pages
1totalElementsinteger · int64RequiredExample:
Number of elements across all pages
1lastbooleanRequiredExample:
Last page
truesizeinteger · int64RequiredExample:
Number of elements in one page
100firstbooleanRequiredExample:
First page
truenumberinteger · int64RequiredExample:
Current page number
0numberOfElementsinteger · int64RequiredExample:
Number of elements in the page
1emptybooleanRequiredExample:
Empty
falseget/api/v1/holdings/{entityId}
GET /api/v1/holdings/{entityId} HTTP/1.1
Host: data.api.landytech.net
Accept: */*
200
OK
{
"content": [
{
"entityId": 36403,
"date": "2025-05-13",
"entityName": "HSBC (7095754)",
"assetName": "Apple Inc",
"assetId": 1016,
"assetType": "Common Stock",
"isin": "US0378331005",
"quantity": 300,
"localCurrency": "USD",
"unitPrice": 188.85,
"marketValueLc": 56655,
"riskCountry": "United States",
"marketCapValue": 2916202840064,
"marketCapCurrency": "USD"
}
],
"totalPages": 1,
"totalElements": 1,
"last": true,
"size": 100,
"first": true,
"number": 0,
"numberOfElements": 1,
"empty": false
}Last updated
Was this helpful?